# pointpats.RectangleM

class pointpats.RectangleM(pp, count_column=3, count_row=3, rectangle_width=0, rectangle_height=0)

  Rectangle grid structure for quadrat-based method.

  Parameters:
    pp `PointPattern`

      Point Pattern instance.

    count_column integer

      Number of rectangles in the horizontal direction. Use in pair with count_row to fully specify a rectangle. Incompatible with rectangle_width and rectangle_height.

    count_row integer

      Number of rectangles in the vertical direction. Use in pair with count_column to fully specify a rectangle. Incompatible with rectangle_width and rectangle_height.

    rectangle_width float

      Rectangle width. Use in pair with rectangle_height to fully specify a rectangle. Incompatible with count_column & count_row.

    rectangle_height float

      Rectangle height. Use in pair with rectangle_width to fully specify a rectangle. Incompatible with count_column & count_row.

  Attributes:
    pp `PointPattern`

      Point Pattern instance.

    mbb array

      Minimum bounding box for the point pattern.

    points array

      x,y coordinates of the point points.

    count_column integer

      Number of columns.

    count_row integer

      Number of rows.

    num integer

      Number of rectangular quadrats.

    rectangle_width float

      Width of a rectangular quadrat.

    rectangle_height float

      Height of a rectangular quadrat.

  __init__(pp, count_column=3, count_row=3, rectangle_width=0, rectangle_height=0)

  Methods

  `__init__`(pp[, count_column, count_row, ...]) |
  `plot`([title]) | Plot rectangle tessellation as well as the number of points falling in each rectangle.
  `point_location_sta`() | Count the point events in each cell.

  plot(title='Quadrat Count')

    Plot rectangle tessellation as well as the number of points falling in each rectangle.

    Parameters:
      title: str, optional

        Title of the plot. Default is “Quadrat Count”.

  point_location_sta()

    Count the point events in each cell.

    Returns:
      dict_id_count dict

        keys: rectangle id, values: number of point events in each cell.